import SSH2 from 'ssh2'

let config = {}
config.port = 22
config.host = "sftp.flywheelsites.com"
config.user = "justinhandley"
config.password = "Insp1red"
config.tryKeyboard = true

const ssh2 = new SSH2()

let localPath

const getFile = () => {

  ssh2.on("ready", function () {
    console.log("ssh2.ready") // eslint-disable-line no-console

    ssh2.sftp(function (err, sftp) {
      console.log("sftp.started") // eslint-disable-line no-console

      sftp.on("end", function () {
        console.log("client.end") // eslint-disable-line no-console
        console.log(localPath) // eslint-disable-line no-console
        return localPath
      })

      const path = "/org-web-mission-control-inc/automatefm/member_roster.xml"
      localPath = "./data/memberdata-" + new Date().getTime() + ".xml"

      sftp.fastGet(path, localPath, {}, function (err) {
        console.log("fastGet.started") // eslint-disable-line no-console
        if (err) {
          console.error('FastGet Error: ', err) // eslint-disable-line no-console
        }
      })
    })
  })

  ssh2.on("close", function () {
    console.log("ssh2.close") // eslint-disable-line no-console
  })

  ssh2.on("error", function (err) {
    console.log("ssh2.error") // eslint-disable-line no-console
    console.error(err) // eslint-disable-line no-console
  })

  ssh2.on("end", function () {
    console.log("ssh2.end") // eslint-disable-line no-console
  })

  ssh2.on("keyboard-interactive", function (name, instructions, instructionsLang, prompt, finish) {
    finish(config.password)
  })

  ssh2.connect(config)
}

export default getFile

