import express from 'express'
import path from 'path'

const appDir = path.dirname(require.main.filename);

const router = express.Router()

router.get('/maindb', (req, res) => {
  const file = appDir + '/data/main.db';
  res.download(file); // Set disposition and send it.
})

router.get('/mapdb', (req, res) => {
  const file = appDir + '/data/map.db';
  res.download(file); // Set disposition and send it.
})

export default router
